## discover-data 1.2002.03.19

=== Makefile ===
# $Progeny: Makefile,v 1.2 2002/01/18 06:20:52 dsp Exp $

prefix = /usr
datadir = $(prefix)/share

DESTDIR =

MAJOR=1
DATE=$(shell date +%Y.%m.%d)
VERSION=$(MAJOR).$(DATE)
DISTNAME=discover-data-$(VERSION)

hwlists_DATA = pci.lst pcmcia.lst usb.lst
hwlistsdir = $(datadir)/discover

all: $(hwlists_DATA)

install: $(hwlists_DATA)
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	install -m 644 $(hwlists_DATA) $(DESTDIR)$(hwlistsdir)

uninstall:
	for i in $(hwlists_DATA); do rm $(DESTDIR)$(hwlistsdir)/$$i; done
	-rmdir $(DESTDIR)$(hwlistsdir)

dist:
	mkdir $(DISTNAME)
	cp Makefile $(hwlists_DATA) $(DISTNAME)
	tar cf - $(DISTNAME) | gzip -9 > $(DISTNAME).tar.gz
	md5sum $(DISTNAME).tar.gz > $(DISTNAME).tar.gz.md5sum
	rm -rf $(DISTNAME)

.PHONY: all install uninstall dist

=== debian/changelog ===
discover-data (1.2002.03.19) unstable; urgency=low

  * There's really no point in keeping a Debian revision for this package; the
    upstream is the same as the Debian Package Maintainer.
  * pci.lst:
    - Identify all devices using the i82365 module as being device type
      "bridge" instead of "unknown".
  * debian/control: change Maintainer to Progeny Debian Packaging Team
    <debian-packages@progeny.com>

 -- Branden Robinson <branden@progeny.com>  Tue, 19 Mar 2002 12:49:30 -0500

discover-data (1.2002.03.08-1) unstable; urgency=low

  * new upstream version
    + pci.lst:
      - fix typo in module name

 -- Branden Robinson <branden@progeny.com>  Fri,  8 Mar 2002 14:12:20 -0500

discover-data (1.2002.02.19-1) unstable; urgency=low

  * new upstream version
    + pci.lst:
      - additions and updates for cards supported by the sym53x8xx driver

 -- Branden Robinson <branden@debian.org>  Tue, 19 Feb 2002 12:28:10 -0500

discover-data (1.2002.01.28-1) unstable; urgency=low

  * new upstream version
  * pci.lst:
    - added several new S3 graphics chipsets, including the "Twister K"
      (thanks, Chris Lawrence) (Closes: #119372,#130799)
    - added PCI ID for Hewlett-Packard NetRAID 2M card, which uses the AMI
      MegaRAID chips (thanks, Dann Frazier) (Closes: #121496)
    - added X server/driver information for i815 video chips (Closes: #130702)
    - change SiS 630 chipsets from XF86_SVGA server to XFree86(sis)

 -- Branden Robinson <branden@debian.org>  Mon, 28 Jan 2002 02:11:58 -0500

discover-data (1.2001.10.16-1) unstable; urgency=low

  * new upstream version
  * pci.lst:
    - removed names of ALSA drivers, replaced with "unknown"
      (Closes: #109762)
    - updated 3Com vendor section (Closes: #112808)
    - updated ATI vendor section
  * debian/control: change Build-Depends to Build-Depends-Indep

 -- Branden Robinson <branden@debian.org>  Tue, 16 Oct 2001 00:44:42 -0500

discover-data (1.2001.08.17-2) unstable; urgency=low

  * debian/control: added a touch more info to the extended description
  * debian/copyright: s/libdiscover0-hwlists/discover-data/g

 -- Branden Robinson <branden@debian.org>  Tue, 18 Sep 2001 14:54:53 -0500

discover-data (1.2001.08.17-1) unstable; urgency=low

  * Initial release.

 -- Branden Robinson <branden@debian.org>  Fri, 17 Aug 2001 15:09:19 -0500

=== debian/control ===
Source: discover-data
Section: libs
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper (>= 2.0)

Package: discover-data
Architecture: all
Description: hardware lists for libdiscover1
 The libdiscover1 library requires this package to look up information
 about various hardware devices using the identification data that they
 report.  It contains data detailing various PCI, PCMCIA, and USB devices.

=== debian/rules ===
#!/usr/bin/make -f

# $Progeny: rules,v 1.2 2002/01/18 06:20:52 dsp Exp $

# This is the debhelper compatability version to use.
export DH_COMPAT=2

build: build-stamp
build-stamp:
#	this package is so insanely simple, we have nothing to do here
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install prefix=/usr DESTDIR=$(CURDIR)/debian/tmp

binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## discover-data 2.2004.05.03

=== Makefile ===
# $Progeny$

prefix = /usr/local
datadir = $(prefix)/share
execdir = $(datadir)/tools
hwlistsdir = $(datadir)/discover

DESTDIR =

MAJOR=2
DATE=$(shell date +%Y.%m.%d)
VERSION=$(MAJOR).$(DATE)
DISTNAME=discover-data-$(VERSION)

discover_data_EXEC = lst2xml
old_hwlists_DATA = pci.lst pcmcia.lst usb.lst
hwlists_DATA = ata-busclass.xml \
               ata-device.xml \
               ata-vendor.xml \
               list.xml \
               pci-busclass.xml \
               pci-device.xml \
               pci-vendor.xml \
               pcmcia-busclass.xml \
               pcmcia-device.xml \
               pcmcia-vendor.xml \
               scsi-busclass.xml \
               scsi-device.xml \
               scsi-vendor.xml \
               usb-busclass.xml \
               usb-device.xml \
               usb-vendor.xml

all: $(discover_data_EXEC) $(old_hwlists_DATA) $(hwlists_DATA)

list.xml: list.xml.in
	sed s,@HWLISTSDIR@,$(hwlistsdir),g < list.xml.in > list.xml

shorthwlists: $(old_hwlists_DATA)
#	Copy in limited autodetect databases to save space.
	for discoverdb in $(old_hwlists_DATA); do \
		discoverfn=`basename $$discoverdb`; \
		./mkshorthwlist < $$discoverdb > $$discoverfn-short ; \
	done

shortxmllists: $(hwlists_DATA)
	./reduce-xml --class-spec=linux:2.4 \
		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
		-o pci-device-short.xml
	./reduce-xml --class-spec=linux:2.4 \
		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
		-o usb-device-short.xml
	./reduce-xml --class-spec=linux:2.4 \
		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
		-o pci-vendor-short.xml --output-type=vendor
	./reduce-xml --class-spec=linux:2.4 \
		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
		-o usb-vendor-short.xml --output-type=vendor
	./reduce-xml --class-spec=linux:2.4 \
		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
		-o scsi-vendor-short.xml --output-type=vendor

install: $(old_hwlists_DATA) $(hwlists_DATA)
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	install -m 644 $(old_hwlists_DATA) $(hwlists_DATA) $(DESTDIR)$(hwlistsdir)
	install -m 755 -d $(DESTDIR)$(execdir)
	install -m 755 $(discover_data_EXEC) $(DESTDIR)$(execdir)

install-udeb: shorthwlists shortxmllists
	install -m 755 -d $(DESTDIR)$(hwlistsdir)

#	Install the full Discover 2.x data set into the udeb.
	install -m 644 $(hwlists_DATA) $(DESTDIR)$(hwlistsdir)

#	Next, replace the data sets we've shortened with the short versions.
	install -m 644 pci-device-short.xml \
		$(DESTDIR)$(hwlistsdir)/pci-device.xml
	install -m 644 usb-device-short.xml \
		$(DESTDIR)$(hwlistsdir)/usb-device.xml
	install -m 644 pci-vendor-short.xml \
		$(DESTDIR)$(hwlistsdir)/pci-vendor.xml
	install -m 644 usb-vendor-short.xml \
		$(DESTDIR)$(hwlistsdir)/usb-vendor.xml
	install -m 644 scsi-vendor-short.xml \
		$(DESTDIR)$(hwlistsdir)/scsi-vendor.xml

#	Compress the hardware lists.
	gzip -9 $(DESTDIR)$(hwlistsdir)/*.xml

uninstall:
	for i in $(old_hwlists_DATA) $(hwlists_DATA); do rm $(DESTDIR)$(hwlistsdir)/$$i; done
	for i in $(discover_data_EXEC); do rm $(DESTDIR)$(execdir)/$$i; done
	-rmdir $(DESTDIR)$(hwlistsdir)
	-rmdir $(DESTDIR)$(execdir)

dist:
	mkdir $(DISTNAME)
	cp Makefile $(old_hwlists_DATA) $(hwlists_DATA) $(discover_data_EXEC) $(DISTNAME)
	tar cf - $(DISTNAME) | gzip -9 > $(DISTNAME).tar.gz
	md5sum $(DISTNAME).tar.gz > $(DISTNAME).tar.gz.md5sum
	rm -rf $(DISTNAME)

clean:
	rm -f *.lst-short
	rm -f *-short.xml
	rm -f list.xml

.PHONY: all install uninstall dist

## discover-data 2.2005.02.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Progeny$
+# $Progeny: Makefile 4783 2005-02-06 02:49:54Z licquia $
 
 prefix = /usr/local
 datadir = $(prefix)/share
@@ -12,8 +12,13 @@
 VERSION=$(MAJOR).$(DATE)
 DISTNAME=discover-data-$(VERSION)
 
+KVERSION_24 = 2.4.18
+KVERSION_26 = 2.6.8
+
 discover_data_EXEC = lst2xml
-old_hwlists_DATA = pci.lst pcmcia.lst usb.lst
+old_hwlists_DATA = pci.lst pci-26.lst \
+                   pcmcia.lst pcmcia-26.lst \
+                   usb.lst usb-26.lst
 hwlists_DATA = ata-busclass.xml \
                ata-device.xml \
                ata-vendor.xml \
@@ -44,24 +49,24 @@
 	done
 
 shortxmllists: $(hwlists_DATA)
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
 		-o pci-device-short.xml
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
 		-o usb-device-short.xml
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
 		-o pci-vendor-short.xml --output-type=vendor
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
 		-o usb-vendor-short.xml --output-type=vendor
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
 		-o scsi-vendor-short.xml --output-type=vendor

## discover-data 2.2007.02.02

=== Makefile ===
# $Progeny$

prefix = /usr
datadir = $(prefix)/share
execdir = $(datadir)/tools
hwlistsdir = $(datadir)/discover

DESTDIR =

MAJOR=2
DATE=$(shell date +%Y.%m.%d)
VERSION=$(MAJOR).$(DATE)
DISTNAME=discover-data-$(VERSION)

KVERSION_24 = 2.4.27
KVERSION_26 = 2.6.17

discover_data_EXEC = lst2xml merge-lst-to-xml mkshorthwlist reduce-xml xml2lst \
	discover-updater.pl trim26lst
old_hwlists_DATA = pci.lst pci-26.lst pci-sparc.lst pci-hppa.lst pci-ia64.lst \
                   pcmcia.lst pcmcia-26.lst \
                   usb.lst usb-26.lst sbus.lst sbus-26.lst
hwlists_DATA = ata-busclass.xml \
               ata-device.xml \
               ata-vendor.xml \
               pci-busclass.xml \
               pci-device.xml \
               pci-device-deb.xml \
               pci-vendor.xml \
               pcmcia-busclass.xml \
               pcmcia-device.xml \
               pcmcia-vendor.xml \
               scsi-busclass.xml \
               scsi-device.xml \
               scsi-vendor.xml \
               usb-busclass.xml \
               usb-device.xml \
               usb-vendor.xml
GENERATED = list.xml
EXTRA_DIST = Makefile Makefile.update merged_vendor_list.xls \
	ChangeLog README list.xml.in di-kernel-list \
	merge-device-xml pci-ids2xml xml-device-sort.xsl
all: $(discover_data_EXEC) $(old_hwlists_DATA) $(hwlists_DATA) $(GENERATED)

list.xml: list.xml.in
	sed s,@HWLISTSDIR@,$(hwlistsdir),g < list.xml.in > list.xml

shorthwlists: $(old_hwlists_DATA)
#	Copy in limited autodetect databases to save space.
	for discoverdb in $(old_hwlists_DATA); do \
		discoverfn=`basename $$discoverdb`; \
		./mkshorthwlist < $$discoverdb > $$discoverfn-short ; \
	done

shortxmllists: $(hwlists_DATA)
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
		-o pci-device-short.xml
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
		-o usb-device-short.xml
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
		-o pci-vendor-short.xml --output-type=vendor
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
		-o usb-vendor-short.xml --output-type=vendor
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
		-o scsi-vendor-short.xml --output-type=vendor

install: $(hwlists_DATA) $(GENERATED)
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	install -m 644 $(hwlists_DATA) $(GENERATED) $(DESTDIR)$(hwlistsdir)
	install -m 755 -d $(DESTDIR)$(execdir)
	install -m 755 $(discover_data_EXEC) $(DESTDIR)$(execdir)

install-old: $(old_hwlists_DATA)
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	install -m 644 $(old_hwlists_DATA) $(DESTDIR)$(hwlistsdir)

install-old-udeb: shorthwlists
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	for list in $(old_hwlists_DATA) ; do \
		install -m 644 $$list-short $(DESTDIR)$(hwlistsdir)/$$list ; \
	done

uninstall:
	for i in $(hwlists_DATA) $(GENERATED); do rm $(DESTDIR)$(hwlistsdir)/$$i; done
	for i in $(discover_data_EXEC); do rm $(DESTDIR)$(execdir)/$$i; done
	-rmdir $(DESTDIR)$(hwlistsdir)
	-rmdir $(DESTDIR)$(execdir)

uninstall-old:
	for i in $(old_hwlists_DATA); do rm $(DESTDIR)$(hwlistsdir)/$$i; done
	-rmdir $(DESTDIR)$(hwlistsdir)

dist: clean
	rm -rf $(DISTNAME)
	mkdir $(DISTNAME)
	cp $(old_hwlists_DATA) $(hwlists_DATA) \
		$(discover_data_EXEC) $(EXTRA_DIST) $(DISTNAME)
	tar cf - $(DISTNAME) | gzip -9 > $(DISTNAME).tar.gz
	md5sum $(DISTNAME).tar.gz > $(DISTNAME).tar.gz.md5sum
	rm -rf $(DISTNAME)

clean::
	rm -f *.lst-short
	rm -f *.xml-short
	rm -f list.xml
	rm -f *~

distclean: clean

.PHONY: all install uninstall dist

=== debian/changelog ===
discover-data (2.2007.02.02) unstable; urgency=high

  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Revert changes to pci-busclass.xml, to make sure 'display' devices
    are detected again when the X packages autodetect its
    configuration.  (Closes: #409101)
  * Use new pci-busclass-v1.xml when generating discover v1 lst files,
    to get the correct bus class names there.
  * Add USB device 046d:c016 based on info in bug #409101.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  2 Feb 2007 23:10:30 +0100

discover-data (2.2007.01.21) unstable; urgency=low

  * Update HW mappings for PCI devices:
      10de0044, 10de0046, 10de0047, 10de0048, 10de0090, 10de0091,
      10de0092, 10de0093, 10de0095, 10de0098, 10de0099, 10de009d,
      10de00c3, 10de018c, 10de018d, 10de01d1, 10de01d3, 10de01d6,
      10de01d7, 10de01d8, 10de01d9, 10de01da, 10de01db, 10de01dc,
      10de01dd, 10de01de, 10de01df, 10de0218, 10de0240, 10de0241,
      10de0242, 10de0244, 10de0247, 10de0290, 10de0291, 10de0292,
      10de0298, 10de0299, 10de029a, 10de029b, 10de029c, 10de029e,
      10de029f, 10de0391, 10de0392, 10de0393, 10de0394, 10de0395,
      10de0397, 10de0398, 10de0399, 10de039a, 10de039b, 10de039c,
      10de039e: nv X driver, based on the nv_driver.c source.
      80863575: agpgart [2.4->2.6), intel-agp [2.6->) based on
                currently loaded modules on a Thinkpad X30.
      11063118: via X driver.  Based on via_driver.c source.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Jan 2007 16:24:28 +0100

discover-data (2.2007.01.20) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Mark all PCI devices using i2c-i801 as bustype 'bridge'.
  * Replace '(lspci -n; lspci)|sort' in reportbug scripts and use
    'lspci -nn' instead.  This require pciutils >= 1:2.2.4, add
    recommends to document this.
  * Update the name of some busclasses in pci-busclass.xml to match
    the pci.lst values.
  * Add PCI busclass 0805 (Generic system peripheral) using
    miscellaneous as the keyword used in pci.lst.
  * Add video busclass to a few nvidia devices.
  * Update pci-vendor.xml, pci-devices.xml, pci.lst and pci-26.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
     8086:2653: ata_piix[2.6.15->) based on the new reportbug script
     and my laptop.
     10de029d: nv X driver. (Closes: #407138)
     80862972,
     80862982,
     80862992 and
     808629a2: i810 X driver, based on the i810_driver.c
               source. (Closes: #407103)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Jan 2007 13:28:15 +0100

discover-data (2.2006.12.28) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update HW mappings for PCI devices:
      10024b48 -> ati X driver.  Thanks to Joerg from Kanotix.
      10025b62 -> radeon to ati X driver.  Thanks to Joerg from Kanotix.

  [ Joshua Kwan ]
  * Remove myself from Uploaders, I haven't the time to help out with this.

  [ Christian Perrier ]
  * Update HW mappings for PCI devices:
      10de016a -> nv X driver.  Thanks to Michael Josenhans and Frans Pop
       Closes: #402459
      53338d01 -> savage X driver.  Thanks to Bernat Tallaferro
       Closes: #403368

  [ Petter Reinholdtsen ]
  * Redo 10de016a in the correct file pci-device.xml to make sure pci.lst
    still can be generated from it.
  * Update pci-devices.xml, pci.lst and pci-26.lst from
    http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
      1077:2100 and
      1077:2200: debian package qla2x00-source (Closes: #398071)
      80861049 8086104a 8086104b 8086104c 8086104d 80861060
      8086107d 8086107e 8086107f 80861096 80861098 80861099
      808610a4 808610b5 808610b9 808610ba 808610bb 808610bc
      808610c4 808610c5: e1000[2.6->).
  * Make sure all devices supported by kernel module e1000 is listed
    in pci-device.xml.  Flag all as working from version 2.6->.
    (Closes: #403876)
  * Extend reportbug scripts with code from Auke Kok to list which PCI
    device is used by which kernel module.  See bug #403876 for the
    original.  Updated the discover1-data script to match the
    discover-data script.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Dec 2006 00:11:17 +0100

discover-data (2.2006.10.29) unstable; urgency=low

  * Switch to native version number, to make it easier to build
    from svn.  The debian package is the native version anyway.
  * Update busclass to 'ethernet' for all PCI devices using the bnx2
    kernel module.
  * Update HW mappings for PCI devices:
      11426422 -> XF86_SVGA -> vesa X driver for X v4.  Thanks to
	          Konstantions Margaritas for the tip.
  * Update pci-devices.xml, pci.lst and pci-26.lst from
    http://pciids.sourceforge.net/pci.ids.gz.
  * Add XS-Vcs-Svn entry in the control file, to make the subversion
    repository easier to find.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Oct 2006 19:08:36 +0100

discover-data (2.2006.10.12-1) unstable; urgency=low

  * Update HW mappings for PCI devices:
      1002:4a54 -> ati X driver. Patch from Ubuntu.
      1002:5836 -> ati X driver. Patch from Ubuntu.
      1002:5837 -> ati X driver. Patch from Ubuntu.
      1002:5a41 -> ati X driver. Patch from Ubuntu.
      1002:5a42 -> ati X driver. Patch from Ubuntu.
      1002:5b62 -> debian packages fglrx-control fglrx-driver
                   fglrx-kernel-src (Closes: #387617)
      1023:2100 -> trident X driver. Patch from Ubuntu.
      1039:0003 -> sis X driver -> unknown.  Patch from Ubuntu.
      1039:0204 -> video card -> unknown. Patch from Ubuntu.
      1039:0205 -> sis X driver -> unknown. Patch from Ubuntu.
      1039:0215 -> video card -> unknown. Patch from Ubuntu.
      1039:0225 -> video card -> unknown. Patch from Ubuntu.
      1077:2100 -> qlogicisp > qlogicfc.  Patch from discover1-data.
      1077:2200 -> qlogicisp > qlogicfc.  Patch from discover1-data.


=== debian/control ===
Source: discover-data
Section: libs
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
Build-Depends: debhelper (>= 4.0)
Build-Depends-Indep: python, python-xml
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk

Package: discover-data
Architecture: all
Recommends: pciutils (>= 1:2.2.4)
Conflicts: libdiscover2 (<< 2.0.4-4)
Description: Data lists for Discover hardware detection system
 The Discover hardware detection library uses XML data files to describe
 software interfaces to various ATA, PCI, PMCMIA, SCSI, and USB devices.
 While the Discover library can retrieve data from anywhere on the net, it is
 often convenient to have a set of Discover XML data files on one's system;
 thus, this package.

Package: discover1-data
Architecture: all
Recommends: pciutils (>= 1:2.2.4)
Conflicts: libdiscover2 (<< 2.0.4-4)
Description: Data lists for Discover hardware detection system (legacy format)
 The Discover hardware detection library uses XML data files to describe
 software interfaces to various ATA, PCI, PMCMIA, SCSI, and USB devices.
 While the Discover library can retrieve data from anywhere on the net, it is
 often convenient to have a set of Discover XML data files on one's system;
 thus, this package.
 .
 This package contains files in a legacy format for the benefit of users
 of an older version of Discover, Discover 1.x.  The libdiscover1 library
 requires this package to look up information about various hardware devices
 using the identification data that they report.  It contains data detailing
 various PCI, PCMCIA, and USB devices.  The hardware lists for Discover 1.x
 contain Linux kernel module information corresponding only to Linux 2.2.20;
 module names for Linux 2.4.x are also provided in many cases for the
 convenience of 2.4.x users, but only where they do not conflict with 2.2.20
 module names.

Package: discover1-data-udeb
Section: debian-installer
Priority: extra
Architecture: all
XC-Package-Type: udeb
Description: hardware lists for libdiscover1 (short list)
 The libdiscover1 library requires this package to look up information about
 various hardware devices using the identification data that they report.  It
 contains data detailing various PCI, PCMCIA, and USB devices.
 .
 There are two separate lists for kernel versions 2.4 and 2.6. Discover
 automatically chooses the appropriate list for your running kernel.
 .
 This is the short list of HW required by d-i during installation.

=== debian/rules ===
#!/usr/bin/make -f

# $Progeny$

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

PACKAGE=$(shell dh_listpackages | grep -v discover1)
LPACKAGE=$(shell dh_listpackages | grep discover1 | grep -v -- -udeb$$)
ULPACKAGE=$(shell dh_listpackages | grep discover1 | grep -- -udeb$$)
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

build: build-stamp
build-stamp:
#	This package is so insanely simple, we have nothing to do here.
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean

	make install \
		prefix=/usr \
		hwlistsdir=/lib/discover \
		DESTDIR=$(CURDIR)/debian/discover-data

	# reportbug helper script
	mkdir -p $(CURDIR)/debian/discover-data/usr/share/bug
	install -m 755 debian/discover-data.bug $(CURDIR)/debian/discover-data/usr/share/bug/discover-data

	# For the legacy stuff
	make install-old \
	       prefix=/usr \
	       hwlistsdir=/lib/discover \
	       DESTDIR=$(CURDIR)/debian/$(LPACKAGE)

	mkdir -p $(CURDIR)/debian/discover1-data/usr/share/bug
	install -m 755 debian/discover1-data.bug $(CURDIR)/debian/discover1-data/usr/share/bug/discover1-data

	# Legacy udeb.  Should be removed after d-i rc1 for etch
	$(MAKE) install-old-udeb \
		prefix=/ \
		hwlistsdir=/lib/discover \
		DESTDIR=$(CURDIR)/debian/$(ULPACKAGE)

binary-arch: build install

binary-indep: build install $(PACKAGE)
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

$(PACKAGE): build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -ldebian/libdiscover1/usr/lib 
	dh_gencontrol

binary: binary-indep
PHONY: build clean binary binary-indep $(PACKAGE) install

## discover-data 2.2007.02.02ubuntu1

=== debian/changelog ===
discover-data (2.2007.02.02ubuntu1) feisty; urgency=low

  * Update HW mappings for PCI devices:
      10de0191, 10de0193, 10de019d, 10de019e: The new nv X driver
       supports G80 chips.
      102b0522: mga X driver
  * Changed the Maintainer address.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 27 Mar 2007 23:18:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: discover-data
 Section: libs
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
 Build-Depends-Indep: python, python-xml

## discover-data 2.2007.05.11ubuntu4

=== Makefile ===
--- 
+++ 
@@ -74,6 +74,62 @@
 		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
 		-o scsi-vendor-short.xml --output-type=vendor
 
+pci.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+	./xml2lst --previous-file=pci.lst \
+		--data-version=linux/module/name:$(KVERSION_24) \
+		-opci-new.lst \
+		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
+	rm pci.lst
+	mv pci-new.lst pci.lst
+
+pci-26.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+	./xml2lst --previous-file=pci-26.lst \
+		--data-version=linux/module/name:$(KVERSION_26) \
+		--data-version=xfree86/server/name:2 \
+		--data-version=xfree86/server/device/driver:2 \
+		-opci-26-new.lst \
+		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
+# Need to skip video entries, to make sure discover --xdriver find the
+# entry in pci.lst
+	./trim26lst < pci-26-new.lst > pci-26.lst
+	rm pci-26-new.lst
+
+pcmcia.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+	./xml2lst --previous-file=pcmcia.lst \
+		--data-version=linux/module/name:$(KVERSION_24) \
+		-opcmcia-new.lst \
+		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
+	rm pcmcia.lst
+	mv pcmcia-new.lst pcmcia.lst
+
+pcmcia-26.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+	./xml2lst --previous-file=pcmcia-26.lst \
+		--data-version=linux/module/name:$(KVERSION_26) \
+		--data-version=xfree86/server/name:2 \
+		--data-version=xfree86/server/device/driver:2 \
+		-opcmcia-26-new.lst \
+		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
+	./trim26lst < pcmcia-26-new.lst > pcmcia-26.lst
+	rm pcmcia-26-new.lst
+
+usb.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+	./xml2lst --previous-file=usb.lst \
+		--data-version=linux/module/name:$(KVERSION_24) \
+		-ousb-new.lst \
+		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
+	rm usb.lst
+	mv usb-new.lst usb.lst
+
+usb-26.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+	./xml2lst --previous-file=usb-26.lst \
+		--data-version=linux/module/name:$(KVERSION_26) \
+		--data-version=xfree86/server/name:2 \
+		--data-version=xfree86/server/device/driver:2 \
+		-ousb-26-new.lst \
+		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
+	./trim26lst < usb-26-new.lst > usb-26.lst
+	rm usb-26-new.lst
+
 install: $(hwlists_DATA) $(GENERATED)
 	install -m 755 -d $(DESTDIR)$(hwlistsdir)
 	install -m 644 $(hwlists_DATA) $(GENERATED) $(DESTDIR)$(hwlistsdir)

=== debian/changelog ===
discover-data (2.2007.05.11ubuntu4) gutsy; urgency=low

  * add various NVidia video cards which the current driver supports.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon,  1 Oct 2007 17:31:20 +0300

discover-data (2.2007.05.11ubuntu3) gutsy; urgency=low

  * add 10de040c Quadro FX 570M which does not work with "nv"
    (LP: #133385)

 -- Tormod Volden <debian.tormod@gmail.com>  Wed, 19 Sep 2007 19:48:24 +0200

discover-data (2.2007.05.11ubuntu2) gutsy; urgency=low

  * Change i810 to intel (LP: #135141, #95867).  Should resolve a ton of
    i810 issues.  (Will likely exacerbate others such as 133726, but
    i810 will remain as an alternate driver for these folks.)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 30 Aug 2007 12:03:19 -0700

discover-data (2.2007.05.11ubuntu1) gutsy; urgency=low

  * Use intel_drv.so xorg driver instead of i810 on i945, i965 and newer.
    (LP: #119370, #119371)
  * intel_drv.so xorg driver claims support for G33, Q33, Q35 chipsets.
    (LP: #119362)

 -- Kyle McMartin <kyle@ubuntu.com>  Wed, 27 Jun 2007 00:00:13 +0000

discover-data (2.2007.05.11) unstable; urgency=low

  * Remove udeb build rules.  This package is no longer used by
    debian- installer.
  * Move rules to generate *.lst from the *-device.xml files from
    Makefile.update to Makefile, as it is part of the normal build
    now.  Create usb-busclass-v1.xml and pcmcia-busclass-v1.xml
    to keep the old busclass information.
  * Update usb-device.xml to match the original usb.lst.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
      102b0522: bus class video.
      10de0191: nv X video driver.
      10de0193: nv X video driver.
      10de019d: nv X video driver.
      10de019e: nv X video driver.  Thanks to Ubuntu for these five.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 May 2007 11:31:40 +0200

discover-data (2.2007.03.22) unstable; urgency=low

  * debian/discover1-data.bug:
    - Include the discover output for the command line used when
      configuring X, to detect errors in that output.
    - Include X server and module information for all devices detected.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Mar 2007 00:40:38 +0100

discover-data (2.2007.03.21) unstable; urgency=low

  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
      102b0522: mga X driver. (Closes: #411020)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2007 09:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: discover-data
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
@@ -41,17 +41,3 @@
  convenience of 2.4.x users, but only where they do not conflict with 2.2.20
  module names.
 
-Package: discover1-data-udeb
-Section: debian-installer
-Priority: extra
-Architecture: all
-XC-Package-Type: udeb
-Description: hardware lists for libdiscover1 (short list)
- The libdiscover1 library requires this package to look up information about
- various hardware devices using the identification data that they report.  It
- contains data detailing various PCI, PCMCIA, and USB devices.
- .
- There are two separate lists for kernel versions 2.4 and 2.6. Discover
- automatically chooses the appropriate list for your running kernel.
- .
- This is the short list of HW required by d-i during installation.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 export DH_COMPAT=4
 
 PACKAGE=$(shell dh_listpackages | grep -v discover1)
-LPACKAGE=$(shell dh_listpackages | grep discover1 | grep -v -- -udeb$$)
-ULPACKAGE=$(shell dh_listpackages | grep discover1 | grep -- -udeb$$)
+LPACKAGE=$(shell dh_listpackages | grep discover1)
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 
 build: build-stamp
@@ -48,12 +47,6 @@
 	mkdir -p $(CURDIR)/debian/discover1-data/usr/share/bug
 	install -m 755 debian/discover1-data.bug $(CURDIR)/debian/discover1-data/usr/share/bug/discover1-data
 
-	# Legacy udeb.  Should be removed after d-i rc1 for etch
-	$(MAKE) install-old-udeb \
-		prefix=/ \
-		hwlistsdir=/lib/discover \
-		DESTDIR=$(CURDIR)/debian/$(ULPACKAGE)
-
 binary-arch: build install
 
 binary-indep: build install $(PACKAGE)

## discover-data 2.2008.01.12ubuntu1

=== debian/changelog ===
discover-data (2.2008.01.12ubuntu1) hardy; urgency=low

  * Drop build dependency on python-xml.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Feb 2008 15:37:09 +0000

discover-data (2.2008.01.12) unstable; urgency=low

  [ Otavio Salvador ]
  * Fix xml2lst script to don't break some entries between multiple lines
    while reading.

  [ Petter Reinholdtsen ]
  * Make sure to regenerate *.lst files when the Makefile changes,
    in case the kernel or X version number was changed.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update README file to document how to update from pciids.sourceforge.net,
    and to reflect the current status of the discover-data package.
  * Update HW mappings for PCI devices:
     80862592: debian package 915resolution.
     10de0194: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0400: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0402: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0404: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0407: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0409: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040a: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040b: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040c: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040d: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040e: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040f: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0421: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0422: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0423: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0425: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0426: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0427: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0428: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0429: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042a: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042b: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042d: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042f: nv X video driver (7.2->).  Thanks to Ubuntu for this
	       one, modulo the apparent typo in their version.
     80864229:  debian packages ipw3945-source and ipw3945d.
  * Update HW mapping for USB devices:
     08ff2580: thinkfinger-tools package.
  * Modify build rules for *.lst files to use X version 7.3 to match
    the X.org packages in unstable.
  * Updated standards-version from 3.7.2 to 3.7.3.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Jan 2008 20:30:26 +0100

discover-data (2.2007.08.07) unstable; urgency=low

  * Increase kernel version for *-26.lst from 2.6.17 to 2.6.21, to
    match the version currently in unstable.
  * Modify build rules for *.lst files to specify which X version to
    use.  Set the current version to 7.2 to match the X.org packages
    in unstable.
  * Update PCI X mapping for all cards supported by i810 to use the
    intel driver from X version 7.2.
  * Regenerate usb.lst, pci.lst and pci-26.lst from scratch to make
    sure their content derives from content in the xml files.  This
    removed a lot of obsolete entries for non-existing kernel modules
    and obsolete X servers.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
     18140101: debian package rt2x00-source.
     18140201: debian package rt2x00-source.
     18140301: debian package rt2x00-source.
     18140302: debian package rt2x00-source.
     18140401: debian package rt2x00-source.
     80864222: debian package ipw3945-source.
     80864227: debian package ipw3945-source.
     808629b2: intel X video driver (7.2->).
     808629c2: intel X video driver (7.2->).
     808629d2: intel X video driver (7.2->).
     80862a02: intel X video driver (7.2->). Thanks to Ubuntu for
               these four.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  7 Aug 2007 10:08:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 # $Progeny$
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
 
 PACKAGE=$(shell dh_listpackages | grep -v discover1)
 LPACKAGE=$(shell dh_listpackages | grep discover1)

## discover-data 2.2008.06.25

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,18 @@
 VERSION=$(MAJOR).$(DATE)
 DISTNAME=discover-data-$(VERSION)
 
+#############################################################
+# Kernel values used when generating the discover v1 data set
+#############################################################
+# Woody = 2.4.27, Sarge = n/a, Etch = n/a
 KVERSION_24 = 2.4.27
-KVERSION_26 = 2.6.17
+
+# Woody = ?, Sarge = 2.6.8, Etch = 2.6.18
+KVERSION_26 = 2.6.21
+
+# Woody = 4.2.1 (XFree86), Sarge = 4.3.0 (XFree86), Etch = 7.1 (X.org)
+XVER = 7.3
+#############################################################
 
 discover_data_EXEC = lst2xml merge-lst-to-xml mkshorthwlist reduce-xml xml2lst \
 	discover-updater.pl trim26lst
@@ -74,15 +84,17 @@
 		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
 		-o scsi-vendor-short.xml --output-type=vendor
 
-pci.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+pci.lst: Makefile pci-busclass-v1.xml pci-vendor.xml pci-device.xml
 	./xml2lst --previous-file=pci.lst \
 		--data-version=linux/module/name:$(KVERSION_24) \
+		--data-version=xfree86/server/name:$(XVER) \
+		--data-version=xfree86/server/device/driver:$(XVER) \
 		-opci-new.lst \
 		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
 	rm pci.lst
 	mv pci-new.lst pci.lst
 
-pci-26.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+pci-26.lst: Makefile pci-busclass-v1.xml pci-vendor.xml pci-device.xml
 	./xml2lst --previous-file=pci-26.lst \
 		--data-version=linux/module/name:$(KVERSION_26) \
 		--data-version=xfree86/server/name:2 \
@@ -94,15 +106,17 @@
 	./trim26lst < pci-26-new.lst > pci-26.lst
 	rm pci-26-new.lst
 
-pcmcia.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+pcmcia.lst: Makefile pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
 	./xml2lst --previous-file=pcmcia.lst \
 		--data-version=linux/module/name:$(KVERSION_24) \
+		--data-version=xfree86/server/name:$(XVER) \
+		--data-version=xfree86/server/device/driver:$(XVER) \
 		-opcmcia-new.lst \
 		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
 	rm pcmcia.lst
 	mv pcmcia-new.lst pcmcia.lst
 
-pcmcia-26.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+pcmcia-26.lst: Makefile pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
 	./xml2lst --previous-file=pcmcia-26.lst \
 		--data-version=linux/module/name:$(KVERSION_26) \
 		--data-version=xfree86/server/name:2 \
@@ -112,15 +126,17 @@
 	./trim26lst < pcmcia-26-new.lst > pcmcia-26.lst
 	rm pcmcia-26-new.lst
 
-usb.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+usb.lst: Makefile usb-busclass-v1.xml usb-vendor.xml usb-device.xml
 	./xml2lst --previous-file=usb.lst \
 		--data-version=linux/module/name:$(KVERSION_24) \
+		--data-version=xfree86/server/name:$(XVER) \
+		--data-version=xfree86/server/device/driver:$(XVER) \
 		-ousb-new.lst \
 		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
 	rm usb.lst
 	mv usb-new.lst usb.lst
 
-usb-26.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+usb-26.lst: Makefile usb-busclass-v1.xml usb-vendor.xml usb-device.xml
 	./xml2lst --previous-file=usb-26.lst \
 		--data-version=linux/module/name:$(KVERSION_26) \
 		--data-version=xfree86/server/name:2 \

=== debian/changelog ===
discover-data (2.2008.06.25) unstable; urgency=low

  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
     80862a03: intel X video driver (7.2->).  Thanks to Dann Frazier
	       for this one.
     80862592: Do not install 915resolution for Debian after v4.0.
     80862772: The same (Closes: #464966).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 Jun 2008 22:42:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: discover-data
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
 Build-Depends-Indep: python, python-xml
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 XS-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
 
 Package: discover-data

## discover-data 2.2008.06.25ubuntu1

=== debian/changelog ===
discover-data (2.2008.06.25ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Drop build dependency on python-xml.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Jun 2008 16:31:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
-Build-Depends-Indep: python, python-xml
+Build-Depends-Indep: python (>= 2.4)
 Standards-Version: 3.7.3
 XS-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk

## discover-data 2.2009.12.19

=== debian/changelog ===
discover-data (2.2009.12.19) unstable; urgency=low

  * Acknowledge NMU.
  * Update HW mappings for PCI devices:
     14e44312: Install b43-fwcutter to get required firmware.
  * Update pci-vendors.xml
    from http://pciids.sourceforge.net/pci.ids.gz.  Not updating
    device list, as the scripts to do so now seem to be broken,
    resulting in empty files.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Dec 2009 20:08:51 +0100

discover-data (2.2008.06.25+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop build-dep on python-xml (deprecated). Port the following Python
    scripts to legacy python modules (Closes: #468624):
    - reduce-xml (patch from Ben Hutchings)
    - merge-lst-to-xml

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 09 Sep 2009 13:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
-Build-Depends-Indep: python (>= 2.4)
+Build-Depends-Indep: python
 Standards-Version: 3.7.3
 XS-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
